﻿
@model FollowUpFormDownlodViewModel
@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    ViewBag.Title = "Download Supplemental Documents";
    
}

<div id="followup-form">
    <div class="container">
        <h1>Please download the following forms</h1>
        <div>
            <div>
                @if (Model.FollowUpFiles != null && Model.FollowUpFiles.Any())
                {
                    <h3 class="title">Supplemental documents</h3>


                    
                    <table style="width:100%">
                        <tbody>
                            @foreach (var followupFiles in Model.FollowUpFiles)
                            {
                                var originalform = followupFiles.fileUrl.Contains("JbFormUploadedDocs");
                                <tr>
                                    <td style="width:50%;font-weight: bold;">@followupFiles.filename</td>
                                    <td>
                                        <a style="width:25%" class=" button info place-right" href="@followupFiles.fileUrl" download="">Download</a>
                                    </td>
                                    <td>
                                        @if (!originalform)
                                        {
                                            <a style="width:25%" class="button info place-left" href="@Url.Action("RemoveItem", new { fId = Model.FormId, uId = Model.UId, orderItemId =Model.OrderItemId, url = followupFiles.fileUrl })">Remove</a>
                            }
                                    </td>
                                </tr>
                            }
                        </tbody>
                    </table>
                }
        </div>
        </div>
        <br />
    </div>
</div>
@section Styles{
    <style>
        #followup-form {
            background-color: rgb(255, 255, 255);
            padding-bottom: 50px;
        }
    </style>
}
@section Scripts{
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>
}
